Subject: Re: Multitasking & mouse movement
From: "Garfield Benjamin" <[email-masked]>
To: "AMOS MAILING LIST" <[email-masked]>
Date: Mon, 10 Nov 1997 17:36:50 -0500

> I'm making a program in which I want to turn off multitasking. I've tried
> the 'Multi No' command from the Turbo Plus Extension. I've also tried
> using 'NUL=Execall(-132)' to turn it off.
> Well, both of these commands works great, the only problem I'm
> having is that the mouse moves really REALLY slow when I use em.

   Hmmm... it's amazing the mouse is moving at all...

> I've tried to put the mouse in mouse port #2 and read the coords
> using the AMCAF commands 'X=X Smouse' and 'Y=Y Smouse'
> which works just fine when multitasking is off. But I'd really like to be
> able to use mouse port #1 instead, so is there any way to do this?
> I've also tried to read directly using 'X=Peek($DFF00A)' but then I would
> need some sort of resident program which can check this 
> continuously... Anyone now how to do this (Asm?).
> Is there any other adresses for checking mouse movements except
> the $DFF00A and $DFF00B?

   Don't know what you need this for, but any program that would be
   killing the OS, would likely be running in a tight-loop (a game or 
   demo), so you should be able to check the mouse deltas each
   loop and presto, you have OSless-mouse control.

   I implemented this in my last SideShooter demo.  I could send
   the OSlessMouse demo (which, of course, includes the
   DirectMouseReading procedure), but I'm simply reading the
   registers each frame and you already know how to do that...

   I haven't tried it, but perhaps you can install a VBL-interrupt in
   AMOS even after the OS is kicked out, if so you could then use
   an Every 1 Proc _DirectMouseRead or something similiar... 
   Hardware-wise it should be no problem, the question is whether
   AMOS supports it or not.

      Take  care,   
      GARFIELD
      _________________________
      Current projects...
      Image-Remapping module(BLITZ): 100% Complete
      SideShooter(AMOS): 75% Complete
      Website(http://www.sosbbs.com/~gbenjam): 20% Complete